<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_FlightRequest StructType
 * @subpackage Structs
 */
class JP_FlightRequest extends AbstractStructBase
{
    /**
     * The SearchSegmentsFlight
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_SearchSegmentsFlight
     */
    public $SearchSegmentsFlight;
    /**
     * The RelPaxesDist
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_RelPaxDist
     */
    public $RelPaxesDist;
    /**
     * Constructor method for JP_FlightRequest
     * @uses JP_FlightRequest::setSearchSegmentsFlight()
     * @uses JP_FlightRequest::setRelPaxesDist()
     * @param \StructType\JP_SearchSegmentsFlight $searchSegmentsFlight
     * @param \ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist
     */
    public function __construct(\StructType\JP_SearchSegmentsFlight $searchSegmentsFlight = null, \ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist = null)
    {
        $this
            ->setSearchSegmentsFlight($searchSegmentsFlight)
            ->setRelPaxesDist($relPaxesDist);
    }
    /**
     * Get SearchSegmentsFlight value
     * @return \StructType\JP_SearchSegmentsFlight|null
     */
    public function getSearchSegmentsFlight()
    {
        return $this->SearchSegmentsFlight;
    }
    /**
     * Set SearchSegmentsFlight value
     * @param \StructType\JP_SearchSegmentsFlight $searchSegmentsFlight
     * @return \StructType\JP_FlightRequest
     */
    public function setSearchSegmentsFlight(\StructType\JP_SearchSegmentsFlight $searchSegmentsFlight = null)
    {
        $this->SearchSegmentsFlight = $searchSegmentsFlight;
        return $this;
    }
    /**
     * Get RelPaxesDist value
     * @return \ArrayType\ArrayOfJP_RelPaxDist|null
     */
    public function getRelPaxesDist()
    {
        return $this->RelPaxesDist;
    }
    /**
     * Set RelPaxesDist value
     * @param \ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist
     * @return \StructType\JP_FlightRequest
     */
    public function setRelPaxesDist(\ArrayType\ArrayOfJP_RelPaxDist $relPaxesDist = null)
    {
        $this->RelPaxesDist = $relPaxesDist;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_FlightRequest
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
